PDFMOM(1)

NAME
pdfmom - produce PDF documents using the mom macro package for groff

SYNOPSIS
pdfmom [-Tpdf] [groff-options] file ...
pdfmom -Tps [pdfroff-options] [groff-options] file ...
pdfmom -v

DESCRIPTION
pdfmom is a wrapper around groff(1) that facilitates the production of PDF documents from files formatted with the mom macros.

pdfmom prints to the standard output, so output must usually be redirected to a destination file. The size of the final PDF can be reduced by piping the output through ps2pdf(1).

If called with the -Tpdf option (which is the default), pdfmom processes files using groff's native PDF driver, gropdf(1). If -Tps is given, processing is passed over to pdfroff, which uses groff's PostScript driver. In either case, multiple runs of the source file are performed in order to satisfy any forward references in the document.

pdfmom accepts all the same options as groff. If -Tps is given, the options associated with pdfroff are accepted as well. Please note that when pdfmom calls pdfroff, the
    -mpdfmark -mom --no-toc
options are implied and should not be given on the command line. Equally, it is not necessary to supply the -mom or -m mom options when -Tps is absent.

PDF integration with the mom macros is discussed in full in the manual Producing PDFs with groff and mom, which was itself produced with pdfmom.

If called with the -v option, pdfmom simply displays its version information and exits.

BUGS
pdfmom sometimes issues warnings of the type
    ...: can't transparently output node at top level
but this is more of an annoyance than a bug, and may safely be ignored.

AUTHORS
pfdmom was written by Deri James (deri@chuzzlewit.demon.co.uk) and Peter Schaffter (peter@schaffter.ca).

SEE ALSO
Producing PDFs with groff and mom, by Deri James and Peter Schaffter; a copy is installed at /usr/local/share/doc/groff/pdf/mom-pdf.pdf.

groff(1), gropdf(1), pdfroff(1), ps2pdf(1)